// persist.h : CPersistentView class declaration
//

#ifndef __PERSIST_H__
#define __PERSIST_H__

class CPersistentFrame : public CMDIFrameWnd
{ // remembers where it was on the desktop
    DECLARE_DYNAMIC(CPersistentFrame)
private:
    static const CRect NEAR rectDefault;
    CString m_profileHeading, m_profileRect, m_profileIcon;
    CString m_profileMax, m_profileTool, m_profileStatus;
    BOOL    m_bFirstTime;
protected: // create from serialization only
    CPersistentFrame();
    ~CPersistentFrame();

    //{{AFX_MSG(CPersistentFrame)
    afx_msg void OnDestroy();
	//}}AFX_MSG
    DECLARE_MESSAGE_MAP()
public:
    virtual void ActivateFrame(int nCmdShow = -1);
};

class CPersistentChild : public CMDIChildWnd
{ // remembers where it was on the desktop
    DECLARE_DYNAMIC(CPersistentChild)
private:
    static const CRect NEAR rectDefault;
    CString m_profileHeading, m_profileRect;
    BOOL    m_bFirstTime;
protected: // create from serialization only
    CPersistentChild();
    ~CPersistentChild();

    //{{AFX_MSG(CPersistentChild)
    afx_msg void OnDestroy();
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()
public:
    virtual void ActivateFrame(int nCmdShow = -1);
};

#endif
